curl --request POST \
--url https://api.tandapay.io/api/b2b/external-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "KE",
"currency": "KES",
"type": "payout",
"payload": {
"destination": "MoMo",
"payoutMethod": {
"accountName": "Grace Achieng",
"accountNumber": "254712345678",
"code": "mpesa"
}
}
}
'{
"success": true,
"message": "External account created successfully.",
"data": {
"id": "ea_9Xk2LmPq"
}
}{
"success": false,
"message": "payload.payoutMethod.accountNumber is required",
"errorCode": "VALIDATION_ERROR"
}{
"success": false,
"message": "Unauthorized"
}Beneficiaries
Create beneficiary
Save a recipient for repeat payouts.
POST
/
api
/
b2b
/
external-accounts
curl --request POST \
--url https://api.tandapay.io/api/b2b/external-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "KE",
"currency": "KES",
"type": "payout",
"payload": {
"destination": "MoMo",
"payoutMethod": {
"accountName": "Grace Achieng",
"accountNumber": "254712345678",
"code": "mpesa"
}
}
}
'{
"success": true,
"message": "External account created successfully.",
"data": {
"id": "ea_9Xk2LmPq"
}
}{
"success": false,
"message": "payload.payoutMethod.accountNumber is required",
"errorCode": "VALIDATION_ERROR"
}{
"success": false,
"message": "Unauthorized"
}Authorizations
Token from Generate bearer token.
Body
application/json
ISO 3166-1 alpha-2 country code. Tanda supports KE.
Available options:
KE Example:
"KE"
ISO 4217 currency code. Tanda supports KES.
Available options:
KES Example:
"KES"
payout to save a recipient you pay; deposit to save a customer you charge.
Available options:
payout, deposit Payout beneficiaries need destination and payoutMethod. Deposit beneficiaries need firstName, lastName and phoneNumber.
Show child attributes
Show child attributes

